<?php
require_once(getabspath("classes/cipherer.php"));




$tdataservice_type = array();
	$tdataservice_type[".truncateText"] = true;
	$tdataservice_type[".NumberOfChars"] = 80;
	$tdataservice_type[".ShortName"] = "service_type";
	$tdataservice_type[".OwnerID"] = "service_type_business_business_id";
	$tdataservice_type[".OriginalTable"] = "service_type";

//	field labels
$fieldLabelsservice_type = array();
$fieldToolTipsservice_type = array();
$pageTitlesservice_type = array();
$placeHoldersservice_type = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsservice_type["English"] = array();
	$fieldToolTipsservice_type["English"] = array();
	$placeHoldersservice_type["English"] = array();
	$pageTitlesservice_type["English"] = array();
	$fieldLabelsservice_type["English"]["service_type_id"] = "Type ID";
	$fieldToolTipsservice_type["English"]["service_type_id"] = "";
	$placeHoldersservice_type["English"]["service_type_id"] = "";
	$fieldLabelsservice_type["English"]["service_type_title_ar"] = "Title Ar";
	$fieldToolTipsservice_type["English"]["service_type_title_ar"] = "";
	$placeHoldersservice_type["English"]["service_type_title_ar"] = "";
	$fieldLabelsservice_type["English"]["service_type_title_en"] = "Title En";
	$fieldToolTipsservice_type["English"]["service_type_title_en"] = "";
	$placeHoldersservice_type["English"]["service_type_title_en"] = "";
	$fieldLabelsservice_type["English"]["service_type_note_ar"] = "Note Ar";
	$fieldToolTipsservice_type["English"]["service_type_note_ar"] = "";
	$placeHoldersservice_type["English"]["service_type_note_ar"] = "";
	$fieldLabelsservice_type["English"]["service_type_note_en"] = "Note En";
	$fieldToolTipsservice_type["English"]["service_type_note_en"] = "";
	$placeHoldersservice_type["English"]["service_type_note_en"] = "";
	$fieldLabelsservice_type["English"]["service_type_business_business_id"] = "Service Type Business Business Id";
	$fieldToolTipsservice_type["English"]["service_type_business_business_id"] = "";
	$placeHoldersservice_type["English"]["service_type_business_business_id"] = "";
	if (count($fieldToolTipsservice_type["English"]))
		$tdataservice_type[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsservice_type["Arabic"] = array();
	$fieldToolTipsservice_type["Arabic"] = array();
	$placeHoldersservice_type["Arabic"] = array();
	$pageTitlesservice_type["Arabic"] = array();
	$fieldLabelsservice_type["Arabic"]["service_type_id"] = "التسلسل";
	$fieldToolTipsservice_type["Arabic"]["service_type_id"] = "";
	$placeHoldersservice_type["Arabic"]["service_type_id"] = "";
	$fieldLabelsservice_type["Arabic"]["service_type_title_ar"] = "العنوان بالعربي";
	$fieldToolTipsservice_type["Arabic"]["service_type_title_ar"] = "";
	$placeHoldersservice_type["Arabic"]["service_type_title_ar"] = "";
	$fieldLabelsservice_type["Arabic"]["service_type_title_en"] = "العنوان بالانجليزي";
	$fieldToolTipsservice_type["Arabic"]["service_type_title_en"] = "";
	$placeHoldersservice_type["Arabic"]["service_type_title_en"] = "";
	$fieldLabelsservice_type["Arabic"]["service_type_note_ar"] = "ملاحظات بالعربي";
	$fieldToolTipsservice_type["Arabic"]["service_type_note_ar"] = "";
	$placeHoldersservice_type["Arabic"]["service_type_note_ar"] = "";
	$fieldLabelsservice_type["Arabic"]["service_type_note_en"] = "ملاحظات بالانجليزي";
	$fieldToolTipsservice_type["Arabic"]["service_type_note_en"] = "";
	$placeHoldersservice_type["Arabic"]["service_type_note_en"] = "";
	$fieldLabelsservice_type["Arabic"]["service_type_business_business_id"] = "Service Type Business Business Id";
	$fieldToolTipsservice_type["Arabic"]["service_type_business_business_id"] = "";
	$placeHoldersservice_type["Arabic"]["service_type_business_business_id"] = "";
	if (count($fieldToolTipsservice_type["Arabic"]))
		$tdataservice_type[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="")
{
	$fieldLabelsservice_type[""] = array();
	$fieldToolTipsservice_type[""] = array();
	$placeHoldersservice_type[""] = array();
	$pageTitlesservice_type[""] = array();
	if (count($fieldToolTipsservice_type[""]))
		$tdataservice_type[".isUseToolTips"] = true;
}


	$tdataservice_type[".NCSearch"] = true;



$tdataservice_type[".shortTableName"] = "service_type";
$tdataservice_type[".nSecOptions"] = 1;
$tdataservice_type[".recsPerRowPrint"] = 1;
$tdataservice_type[".mainTableOwnerID"] = "service_type_business_business_id";
$tdataservice_type[".moveNext"] = 1;
$tdataservice_type[".entityType"] = 0;

$tdataservice_type[".strOriginalTableName"] = "service_type";

	



$tdataservice_type[".showAddInPopup"] = true;

$tdataservice_type[".showEditInPopup"] = true;

$tdataservice_type[".showViewInPopup"] = true;

//page's base css files names
$popupPagesLayoutNames = array();
						
	;
$popupPagesLayoutNames["add"] = "add_bootstrap";
						
	;
$popupPagesLayoutNames["edit"] = "edit_bootstrap_2col";
						
	;
$popupPagesLayoutNames["view"] = "view_bootstrap_2col";
$tdataservice_type[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataservice_type[".fieldsForRegister"] = array();

$tdataservice_type[".listAjax"] = false;

	$tdataservice_type[".audit"] = false;

	$tdataservice_type[".locking"] = false;

$tdataservice_type[".edit"] = true;
$tdataservice_type[".afterEditAction"] = 1;
$tdataservice_type[".closePopupAfterEdit"] = 1;
$tdataservice_type[".afterEditActionDetTable"] = "";

$tdataservice_type[".add"] = true;
$tdataservice_type[".afterAddAction"] = 1;
$tdataservice_type[".closePopupAfterAdd"] = 1;
$tdataservice_type[".afterAddActionDetTable"] = "";

$tdataservice_type[".list"] = true;

$tdataservice_type[".inlineEdit"] = true;

$tdataservice_type[".updateSelected"] = true;

$tdataservice_type[".reorderRecordsByHeader"] = true;


$tdataservice_type[".exportFormatting"] = 2;
$tdataservice_type[".exportDelimiter"] = ",";
		
$tdataservice_type[".inlineAdd"] = true;
$tdataservice_type[".copy"] = true;
$tdataservice_type[".view"] = true;

$tdataservice_type[".import"] = true;

$tdataservice_type[".exportTo"] = true;

$tdataservice_type[".printFriendly"] = true;

$tdataservice_type[".delete"] = true;

$tdataservice_type[".showSimpleSearchOptions"] = false;

// Allow Show/Hide Fields in GRID
$tdataservice_type[".allowShowHideFields"] = false;
//

// Allow Fields Reordering in GRID
$tdataservice_type[".allowFieldsReordering"] = false;
//

// search Saving settings
$tdataservice_type[".searchSaving"] = false;
//

$tdataservice_type[".showSearchPanel"] = true;
		$tdataservice_type[".flexibleSearch"] = true;

$tdataservice_type[".isUseAjaxSuggest"] = true;

$tdataservice_type[".rowHighlite"] = true;





$tdataservice_type[".ajaxCodeSnippetAdded"] = false;

$tdataservice_type[".buttonsAdded"] = false;

$tdataservice_type[".addPageEvents"] = false;

// use timepicker for search panel
$tdataservice_type[".isUseTimeForSearch"] = false;



$tdataservice_type[".badgeColor"] = "e8926f";


$tdataservice_type[".allSearchFields"] = array();
$tdataservice_type[".filterFields"] = array();
$tdataservice_type[".requiredSearchFields"] = array();

$tdataservice_type[".allSearchFields"][] = "service_type_id";
	$tdataservice_type[".allSearchFields"][] = "service_type_title_ar";
	$tdataservice_type[".allSearchFields"][] = "service_type_title_en";
	$tdataservice_type[".allSearchFields"][] = "service_type_note_ar";
	$tdataservice_type[".allSearchFields"][] = "service_type_note_en";
	

$tdataservice_type[".googleLikeFields"] = array();
$tdataservice_type[".googleLikeFields"][] = "service_type_id";
$tdataservice_type[".googleLikeFields"][] = "service_type_business_business_id";
$tdataservice_type[".googleLikeFields"][] = "service_type_title_ar";
$tdataservice_type[".googleLikeFields"][] = "service_type_title_en";
$tdataservice_type[".googleLikeFields"][] = "service_type_note_ar";
$tdataservice_type[".googleLikeFields"][] = "service_type_note_en";


$tdataservice_type[".advSearchFields"] = array();
$tdataservice_type[".advSearchFields"][] = "service_type_id";
$tdataservice_type[".advSearchFields"][] = "service_type_title_ar";
$tdataservice_type[".advSearchFields"][] = "service_type_title_en";
$tdataservice_type[".advSearchFields"][] = "service_type_note_ar";
$tdataservice_type[".advSearchFields"][] = "service_type_note_en";

$tdataservice_type[".tableType"] = "list";

$tdataservice_type[".printerPageOrientation"] = 0;
$tdataservice_type[".nPrinterPageScale"] = 100;

$tdataservice_type[".nPrinterSplitRecords"] = 40;

$tdataservice_type[".nPrinterPDFSplitRecords"] = 40;



$tdataservice_type[".geocodingEnabled"] = false;





$tdataservice_type[".listGridLayout"] = 3;





// view page pdf

// print page pdf


$tdataservice_type[".pageSize"] = 20;

$tdataservice_type[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataservice_type[".strOrderBy"] = $tstrOrderBy;

$tdataservice_type[".orderindexes"] = array();

$tdataservice_type[".sqlHead"] = "SELECT service_type_id,  	service_type_business_business_id,  	service_type_title_ar,  	service_type_title_en,  	service_type_note_ar,  	service_type_note_en";
$tdataservice_type[".sqlFrom"] = "FROM service_type";
$tdataservice_type[".sqlWhereExpr"] = "";
$tdataservice_type[".sqlTail"] = "";












//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataservice_type[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataservice_type[".arrGroupsPerPage"] = $arrGPP;

$tdataservice_type[".highlightSearchResults"] = true;

$tableKeysservice_type = array();
$tableKeysservice_type[] = "service_type_id";
$tdataservice_type[".Keys"] = $tableKeysservice_type;

$tdataservice_type[".listFields"] = array();
$tdataservice_type[".listFields"][] = "service_type_id";
$tdataservice_type[".listFields"][] = "service_type_title_ar";
$tdataservice_type[".listFields"][] = "service_type_title_en";

$tdataservice_type[".hideMobileList"] = array();


$tdataservice_type[".viewFields"] = array();
$tdataservice_type[".viewFields"][] = "service_type_id";
$tdataservice_type[".viewFields"][] = "service_type_title_ar";
$tdataservice_type[".viewFields"][] = "service_type_title_en";
$tdataservice_type[".viewFields"][] = "service_type_note_ar";
$tdataservice_type[".viewFields"][] = "service_type_note_en";

$tdataservice_type[".addFields"] = array();
$tdataservice_type[".addFields"][] = "service_type_title_ar";
$tdataservice_type[".addFields"][] = "service_type_title_en";
$tdataservice_type[".addFields"][] = "service_type_note_ar";
$tdataservice_type[".addFields"][] = "service_type_note_en";

$tdataservice_type[".masterListFields"] = array();
$tdataservice_type[".masterListFields"][] = "service_type_id";
$tdataservice_type[".masterListFields"][] = "service_type_title_ar";
$tdataservice_type[".masterListFields"][] = "service_type_title_en";
$tdataservice_type[".masterListFields"][] = "service_type_note_ar";
$tdataservice_type[".masterListFields"][] = "service_type_note_en";

$tdataservice_type[".inlineAddFields"] = array();
$tdataservice_type[".inlineAddFields"][] = "service_type_title_ar";
$tdataservice_type[".inlineAddFields"][] = "service_type_title_en";

$tdataservice_type[".editFields"] = array();
$tdataservice_type[".editFields"][] = "service_type_title_ar";
$tdataservice_type[".editFields"][] = "service_type_title_en";
$tdataservice_type[".editFields"][] = "service_type_note_ar";
$tdataservice_type[".editFields"][] = "service_type_note_en";

$tdataservice_type[".inlineEditFields"] = array();
$tdataservice_type[".inlineEditFields"][] = "service_type_title_ar";
$tdataservice_type[".inlineEditFields"][] = "service_type_title_en";

$tdataservice_type[".updateSelectedFields"] = array();
$tdataservice_type[".updateSelectedFields"][] = "service_type_title_ar";
$tdataservice_type[".updateSelectedFields"][] = "service_type_title_en";
$tdataservice_type[".updateSelectedFields"][] = "service_type_note_ar";
$tdataservice_type[".updateSelectedFields"][] = "service_type_note_en";


$tdataservice_type[".exportFields"] = array();
$tdataservice_type[".exportFields"][] = "service_type_id";
$tdataservice_type[".exportFields"][] = "service_type_title_ar";
$tdataservice_type[".exportFields"][] = "service_type_title_en";
$tdataservice_type[".exportFields"][] = "service_type_note_ar";
$tdataservice_type[".exportFields"][] = "service_type_note_en";

$tdataservice_type[".importFields"] = array();
$tdataservice_type[".importFields"][] = "service_type_id";
$tdataservice_type[".importFields"][] = "service_type_title_ar";
$tdataservice_type[".importFields"][] = "service_type_title_en";
$tdataservice_type[".importFields"][] = "service_type_note_ar";
$tdataservice_type[".importFields"][] = "service_type_note_en";

$tdataservice_type[".printFields"] = array();
$tdataservice_type[".printFields"][] = "service_type_id";
$tdataservice_type[".printFields"][] = "service_type_title_ar";
$tdataservice_type[".printFields"][] = "service_type_title_en";
$tdataservice_type[".printFields"][] = "service_type_note_ar";
$tdataservice_type[".printFields"][] = "service_type_note_en";


//	service_type_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "service_type_id";
	$fdata["GoodName"] = "service_type_id";
	$fdata["ownerTable"] = "service_type";
	$fdata["Label"] = GetFieldLabel("service_type","service_type_id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			
		$fdata["bListPage"] = true;

	
	
	
	
	

		$fdata["bViewPage"] = true;

		$fdata["bAdvancedSearch"] = true;

		$fdata["bPrinterPage"] = true;

		$fdata["bExportPage"] = true;

		$fdata["strField"] = "service_type_id";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "service_type_id";

	
	
				$fdata["FieldPermissions"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
	
		
	


		$edata["IsRequired"] = true;

	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings




	$tdataservice_type["service_type_id"] = $fdata;
//	service_type_business_business_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "service_type_business_business_id";
	$fdata["GoodName"] = "service_type_business_business_id";
	$fdata["ownerTable"] = "service_type";
	$fdata["Label"] = GetFieldLabel("service_type","service_type_business_business_id");
	$fdata["FieldType"] = 3;

	
	
	
			
	
	
	
	
	
	

	
	
	
	
		$fdata["strField"] = "service_type_business_business_id";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "service_type_business_business_id";

	
	
			
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
	
		
	


		$edata["IsRequired"] = true;

	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;








	$tdataservice_type["service_type_business_business_id"] = $fdata;
//	service_type_title_ar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "service_type_title_ar";
	$fdata["GoodName"] = "service_type_title_ar";
	$fdata["ownerTable"] = "service_type";
	$fdata["Label"] = GetFieldLabel("service_type","service_type_title_ar");
	$fdata["FieldType"] = 200;

	
	
	
			
		$fdata["bListPage"] = true;

		$fdata["bAddPage"] = true;

		$fdata["bInlineAdd"] = true;

		$fdata["bEditPage"] = true;

		$fdata["bInlineEdit"] = true;

		$fdata["bUpdateSelected"] = true;


		$fdata["bViewPage"] = true;

		$fdata["bAdvancedSearch"] = true;

		$fdata["bPrinterPage"] = true;

		$fdata["bExportPage"] = true;

		$fdata["strField"] = "service_type_title_ar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "service_type_title_ar";

	
	
				$fdata["FieldPermissions"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
	
		
	


	
	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings




	$tdataservice_type["service_type_title_ar"] = $fdata;
//	service_type_title_en
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "service_type_title_en";
	$fdata["GoodName"] = "service_type_title_en";
	$fdata["ownerTable"] = "service_type";
	$fdata["Label"] = GetFieldLabel("service_type","service_type_title_en");
	$fdata["FieldType"] = 200;

	
	
	
			
		$fdata["bListPage"] = true;

		$fdata["bAddPage"] = true;

		$fdata["bInlineAdd"] = true;

		$fdata["bEditPage"] = true;

		$fdata["bInlineEdit"] = true;

		$fdata["bUpdateSelected"] = true;


		$fdata["bViewPage"] = true;

		$fdata["bAdvancedSearch"] = true;

		$fdata["bPrinterPage"] = true;

		$fdata["bExportPage"] = true;

		$fdata["strField"] = "service_type_title_en";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "service_type_title_en";

	
	
				$fdata["FieldPermissions"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
	
		
	


	
	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings




	$tdataservice_type["service_type_title_en"] = $fdata;
//	service_type_note_ar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "service_type_note_ar";
	$fdata["GoodName"] = "service_type_note_ar";
	$fdata["ownerTable"] = "service_type";
	$fdata["Label"] = GetFieldLabel("service_type","service_type_note_ar");
	$fdata["FieldType"] = 201;

	
	
	
			
	
		$fdata["bAddPage"] = true;

	
		$fdata["bEditPage"] = true;

	
		$fdata["bUpdateSelected"] = true;


		$fdata["bViewPage"] = true;

		$fdata["bAdvancedSearch"] = true;

		$fdata["bPrinterPage"] = true;

		$fdata["bExportPage"] = true;

		$fdata["strField"] = "service_type_note_ar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "service_type_note_ar";

	
	
				$fdata["FieldPermissions"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
	
		
	


	
	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings




	$tdataservice_type["service_type_note_ar"] = $fdata;
//	service_type_note_en
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "service_type_note_en";
	$fdata["GoodName"] = "service_type_note_en";
	$fdata["ownerTable"] = "service_type";
	$fdata["Label"] = GetFieldLabel("service_type","service_type_note_en");
	$fdata["FieldType"] = 201;

	
	
	
			
	
		$fdata["bAddPage"] = true;

	
		$fdata["bEditPage"] = true;

	
		$fdata["bUpdateSelected"] = true;


		$fdata["bViewPage"] = true;

		$fdata["bAdvancedSearch"] = true;

		$fdata["bPrinterPage"] = true;

		$fdata["bExportPage"] = true;

		$fdata["strField"] = "service_type_note_en";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "service_type_note_en";

	
	
				$fdata["FieldPermissions"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

		
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
	
		
	


	
	
	
			$edata["acceptFileTypes"] = ".+$";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings




	$tdataservice_type["service_type_note_en"] = $fdata;


$tables_data["service_type"]=&$tdataservice_type;
$field_labels["service_type"] = &$fieldLabelsservice_type;
$fieldToolTips["service_type"] = &$fieldToolTipsservice_type;
$placeHolders["service_type"] = &$placeHoldersservice_type;
$page_titles["service_type"] = &$pageTitlesservice_type;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["service_type"] = array();
//	service
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="service";
		$detailsParam["dOriginalTable"] = "service";
		$detailsParam["proceedLink"] = true;
				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "service";
	$detailsParam["dCaptionTable"] = GetTableCaption("service");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();

	$detailsParam["dispChildCount"] = "1";

		$detailsParam["hideChild"] = false;
						$detailsParam["previewOnList"] = "1";
		$detailsParam["previewOnAdd"] = 0;
		$detailsParam["previewOnEdit"] = 0;
		$detailsParam["previewOnView"] = 0;
		
	$detailsTablesData["service_type"][$dIndex] = $detailsParam;

	
		$detailsTablesData["service_type"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["service_type"][$dIndex]["masterKeys"][]="service_type_id";

				$detailsTablesData["service_type"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["service_type"][$dIndex]["detailKeys"][]="service_service_type_id";

// tables which are master tables for current table (detail)
$masterTablesData["service_type"] = array();


// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_service_type()
{
$proto3=array();
$proto3["m_strHead"] = "SELECT";
$proto3["m_strFieldList"] = "service_type_id,  	service_type_business_business_id,  	service_type_title_ar,  	service_type_title_en,  	service_type_note_ar,  	service_type_note_en";
$proto3["m_strFrom"] = "FROM service_type";
$proto3["m_strWhere"] = "";
$proto3["m_strOrderBy"] = "";
	
		;
			$proto3["cipherer"] = null;
$proto5=array();
$proto5["m_sql"] = "";
$proto5["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto5["m_column"]=$obj;
$proto5["m_contained"] = array();
$proto5["m_strCase"] = "";
$proto5["m_havingmode"] = false;
$proto5["m_inBrackets"] = false;
$proto5["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto5);

$proto3["m_where"] = $obj;
$proto7=array();
$proto7["m_sql"] = "";
$proto7["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto7["m_column"]=$obj;
$proto7["m_contained"] = array();
$proto7["m_strCase"] = "";
$proto7["m_havingmode"] = false;
$proto7["m_inBrackets"] = false;
$proto7["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto7);

$proto3["m_having"] = $obj;
$proto3["m_fieldlist"] = array();
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "service_type_id",
	"m_strTable" => "service_type",
	"m_srcTableName" => "service_type"
));

$proto9["m_sql"] = "service_type_id";
$proto9["m_srcTableName"] = "service_type";
$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto3["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "service_type_business_business_id",
	"m_strTable" => "service_type",
	"m_srcTableName" => "service_type"
));

$proto11["m_sql"] = "service_type_business_business_id";
$proto11["m_srcTableName"] = "service_type";
$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto3["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "service_type_title_ar",
	"m_strTable" => "service_type",
	"m_srcTableName" => "service_type"
));

$proto13["m_sql"] = "service_type_title_ar";
$proto13["m_srcTableName"] = "service_type";
$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto3["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "service_type_title_en",
	"m_strTable" => "service_type",
	"m_srcTableName" => "service_type"
));

$proto15["m_sql"] = "service_type_title_en";
$proto15["m_srcTableName"] = "service_type";
$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto3["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "service_type_note_ar",
	"m_strTable" => "service_type",
	"m_srcTableName" => "service_type"
));

$proto17["m_sql"] = "service_type_note_ar";
$proto17["m_srcTableName"] = "service_type";
$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto3["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "service_type_note_en",
	"m_strTable" => "service_type",
	"m_srcTableName" => "service_type"
));

$proto19["m_sql"] = "service_type_note_en";
$proto19["m_srcTableName"] = "service_type";
$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto3["m_fieldlist"][]=$obj;
$proto3["m_fromlist"] = array();
												$proto21=array();
$proto21["m_link"] = "SQLL_MAIN";
			$proto22=array();
$proto22["m_strName"] = "service_type";
$proto22["m_srcTableName"] = "service_type";
$proto22["m_columns"] = array();
$proto22["m_columns"][] = "service_type_id";
$proto22["m_columns"][] = "service_type_business_business_id";
$proto22["m_columns"][] = "service_type_title_ar";
$proto22["m_columns"][] = "service_type_title_en";
$proto22["m_columns"][] = "service_type_note_ar";
$proto22["m_columns"][] = "service_type_note_en";
$obj = new SQLTable($proto22);

$proto21["m_table"] = $obj;
$proto21["m_sql"] = "service_type";
$proto21["m_alias"] = "";
$proto21["m_srcTableName"] = "service_type";
$proto23=array();
$proto23["m_sql"] = "";
$proto23["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto23["m_column"]=$obj;
$proto23["m_contained"] = array();
$proto23["m_strCase"] = "";
$proto23["m_havingmode"] = false;
$proto23["m_inBrackets"] = false;
$proto23["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto23);

$proto21["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto21);

$proto3["m_fromlist"][]=$obj;
$proto3["m_groupby"] = array();
$proto3["m_orderby"] = array();
$proto3["m_srcTableName"]="service_type";		
$obj = new SQLQuery($proto3);

	return $obj;
}
$queryData_service_type = createSqlQuery_service_type();


	
		;

						

$tdataservice_type[".sqlquery"] = $queryData_service_type;

$tableEvents["service_type"] = new eventsBase;
$tdataservice_type[".hasEvents"] = false;

?>